Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		openntpd
#Epoch:		0
Version:	3.9p1
Release:	1
License:	BSD
URL:		http://www.openntpd.org
Group:		Networking/Other	
Summary:	free Network Time Protocol client server implementation
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz
Source1:	openntpd.init

# Patches:

# openntpd has a much smaller footprint than ntp, easier
# configuration and is less prone to have hickups on 
# instable networks so we`ll prefer openntpd on CCux
Provides:	ntp, sntp
Obsoletes:	ntp

# Requires:

# BuildRequires
BuildRequires: gawk

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openssl-devel

%define ntp_gid 188
%define ntp_user_uid 188

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time Protocol. It provides the ability to sync the local clock to remote NTP servers and can act as NTP server itself, redistributing the local clock.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre
# Add the "ntp" group and user
/usr/sbin/groupadd -g %{ntp_gid} ntp &>/dev/null || :
/usr/sbin/useradd -c 'NTP daemon' -g ntp -u %{ntp_user_uid} -s /sbin/nologin -d '/' ntp 2> /dev/null || :

%preun
if test $1 = 0; then
        /etc/rc.d/init.d/ntpd stop 1>/dev/null 2>&1
        /sbin/chkconfig --del ntpd
fi

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
/sbin/chkconfig --add ntpd
/sbin/chkconfig ntpd on
/etc/rc.d/init.d/ntpd start 1>/dev/null 2>&1

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel ntp &>/dev/null || :
    /usr/sbin/groupdel ntp &>/dev/null || :
fi


%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--mandir=%{_mandir} \
--with-mantype=man \
--with-privsep-user=ntp \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/ntpd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/ntpd
%{_sysconfdir}/ntpd.conf
%{_sbindir}/ntpd
%{_mandir}/man5/ntpd.conf.5.gz
%{_mandir}/man8/ntpd.8.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jul 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.9p1-1
- initial CCux package release
